Skip to main content
Retrieve a Disbursement

Authorizations

Authorization
string
header
required

Authorization header containing an SDP JWT (ES256) or an SDP_ API key.

Path Parameters

id
string
required

ID of the Disbursement.

Response

Disbursement details

id
string

The unique identifier of the disbursement

Example:

"619da857-8725-4c58-933d-c120a458e0f5"

name
string

The name of the disbursement

Example:

"Disbursement Name"

receiver_registration_message_template
string

The custom template used to send invitations to receivers. The default message isn't returned. In the message's content it's possible to add the following template variables: {{.OrganizationName}} which is the Organization Name configured and {{.RegistrationLink}} which is the link generated by SDP to send to the receiver (in case this is not present in the message, it's automatically appended at the end).

Example:

"You have a payment waiting for you from {{.OrganizationName}}. Click {{.RegistrationLink}} to register."

registration_contact_type
enum<string>
Available options:
EMAIL,
PHONE_NUMBER,
EMAIL_AND_WALLET_ADDRESS,
PHONE_NUMBER_AND_WALLET_ADDRESS
wallet
object
asset
object

The Stellar asset object

status
enum<string>
Available options:
DRAFT,
READY,
STARTED,
PAUSED,
COMPLETED,
CANCELED
source_wallet_id
string

ID of the distribution account the disbursement is funded from.

Example:

"4c379f5e-09b5-4472-a286-b84e249a1512"

verification_field
enum<string>
Available options:
DATE_OF_BIRTH,
YEAR_MONTH,
PIN,
NATIONAL_ID_NUMBER
status_history
object[]
file_name
string
Example:

"disbursement-feb-03-2023.csv"

created_at
string<date-time>
Example:

"2023-02-03T10:45:51Z"

updated_at
string<date-time>
Example:

"2023-02-03T10:45:51Z"

total_payments
integer

Total number of payments

Example:

10

total_payments_sent
integer

Total number of successful payments

Example:

8

total_payments_failed
integer

Total number of failed payments

Example:

1

total_payments_remaining
integer

Total number of remaining payments

Example:

1

amount_disbursed
string

The total amount disbursed so far

Example:

"800.00"

total_amount
string

The total amount to be disbursed

Example:

"1000.00"

average_amount
string

The average amount per payment

Example:

"100.00"